construct_data_inh_nnfft
Applications » Transforms in magnetic resonance imaging » 2D transforms
Collaboration diagram for construct_data_inh_nnfft:

## Functions

static void | reconstruct (char *filename, int N, int M, int iteration, int weight)
| reconstruct
int | main (int argc, char **argv)

## Detailed Description

## Function Documentation

## reconstruct()

void reconstruct | ( | char * | filename,
|  | int | N,
|  | int | M,
|  | int | iteration,
|  | int | weight )

static

reconstruct

Definition at line 38 of file reconstruct_data_inh_nnfft.c.

References CGNR, solver_plan_complex::dot_r_iter, solver_plan_complex::f_hat_iter, solver_plan_complex::flags, nnfft_plan::M_total, MALLOC_F, MALLOC_F_HAT, MALLOC_V, MALLOC_X, nnfft_plan::N_total, nfft_free(), nfft_malloc(), nnfft_finalize(), nnfft_plan::nnfft_flags, nnfft_init_guru(), nnfft_precompute_full_psi(), nnfft_precompute_lin_psi(), nnfft_precompute_phi_hut(), nnfft_precompute_psi(), PRE_FULL_PSI, PRE_LIN_PSI, PRE_PHI_HUT, PRE_PSI, PRECOMPUTE_DAMP, PRECOMPUTE_WEIGHT, nnfft_plan::v, solver_plan_complex::w, solver_plan_complex::w_hat, nnfft_plan::x, and solver_plan_complex::y.

## main()

int main | ( | int | argc,
|  | char ** | argv )

Definition at line 226 of file reconstruct_data_inh_nnfft.c.